package com.fengqi.wechat.entity.vo.inner;

import java.io.Serializable;

/***
 * 
* @ClassName: ResponseData  
* @Description: 响应实体类
* @author xiewen
* @date 2017年6月5日  
*
 */
public class ResponseData<T> implements Serializable {

	private static final long serialVersionUID = 1L;

	private ResponseHead head;

	private T body;

	public ResponseData() {

	}

	@SuppressWarnings("unchecked")
	public ResponseData(String code, String msg) {
		ResponseHead head = new ResponseHead();
		head.setResponseCode(code);
		head.setResponseMsg(msg);
		body = (T) "";
		this.head = head;
	}

	public ResponseData(String code, String msg, T data) {
		ResponseHead head = new ResponseHead();
		head.setResponseCode(code);
		head.setResponseMsg(msg);
		this.head = head;
		this.body = data;

	}

	public ResponseHead getHead() {
		return head;
	}

	public void setHead(ResponseHead head) {
		this.head = head;
	}

	public T getBody() {

		return body;
	}

	public void setBody(T body) {
		this.body = body;
	}

}
